; launch.xex V2.0 config file
; parsed by simpleIni http://code.jellycan.com/simpleini/
; currently supported devices and paths:
; internal hard disk    Hdd:\
; usb memory stick      Usb:\
; memory unit           Mu:\
; USB memory unit       UsbMu:\
; big block NAND mu     FlashMu:\
; CD/DVD                Dvd:\     (not recommended to use this one)
; buttons can point to any xex, or any CON with default.xex in it on any of the above devices
; note that Right Bumper is ALWAYS default to return NXE
; if you want to assign an additional one, use the path Sfc:\dash.xex ie:
; BUT_A = Sfc:\dash.xex

; example entry
; Default = Hdd:\FreeStyle\default.xex
[QuickLaunchButtons]
BUT_A = 
BUT_B = Hdd:\Freestyle\default.xex
BUT_X = Hdd:\Content\0000000000000000\C0DE9999\00080000\C0DE99990F586558
BUT_Y = Hdd:\Freestyle2.0\default.xex
Start = 
Back  = 
LBump = 
; Default is what loads when you hold no buttons
; leave this blank if you want NXE as default
Default = 

; at boot time, default can be overridden based on how the console is turned on
; if you start with wired/wireless/IR guide button, this item if existing will be used instead of default
; note that the Guide item is ALWAYS overridden by option: remotenxe = true
Guide = 
; if you power on with the button on the front of the console, this item will be used instead of default
Power = 

; example plugin entry
; plugin1 = Usb:\plugin\aplugin.xex
[Plugins]
plugin1 = 
plugin2 = 
plugin3 = 
plugin4 = 
plugin5 = 

[Settings]
; if true, brining up miniblade in NXE and then pressing Y will cause launch.xex to relaunch for you
; note you must release Y button then press desired QuickLaunchButtons after or use default item
; if not present default is TRUE
nxemini = true

; if true ping limit will be removed for system link play (thanks FBDev!)
; if not present default is FALSE
pingpatch = true

; if true (most) xbla will no longer need yaris patching (thanks mojobojo!)
; if not present default is FALSE
contpatch = false

; Normally when a fatal error occurs the xbox will just freeze, setting this to false will cause a reboot or powerdown
; setting to TRUE will also disable the unhandled exception filter which tries to intercept recoverable unhandled exceptions with exit to dash
; if not present default is FALSE
fatalfreeze = false

; when fatalfreeze is set to false, setting this to true will cause the box to reboot (hard reboot), setting it to false will instead have the box shut down
; note that this option does NOTHING when fatalfreeze is set to true
; if not present default is FALSE
fatalreboot = false

; when fatalfreeze is set to false and fatalreboot is set to true, setting this to true will cause the box to reboot (soft reboot) the way it was intended to
; ONLY set this to true if using blackaddr's reboot fix for SMC, else on reboot you will get E71 and corrupted dash/video/etc settings
; note that this option does NOTHING when fatalfreeze is set to true
; if not present default is FALSE
safereboot = false

; when set to true, it is possible to hold RB when launching a game to have the region that the game gets from xam spoofed
; if not present this is set to FALSE
regionspoof = false

; when regionspoof is true, you set your region here in hex, for examle devkit would be region = 0x7fff
; if not present but regionspoof is set to true, this is set to 0x7FFF
region = 0x7FFF

; when set to false, ejecting a dvd video or game returns you to your default item, set to true to auto exit to NXE
; if not present this is set to FALSE
dvdexitdash = true

; when set to false, using the exit item in an XBLA game returns you to your default item, set to true to exit to NXE arcade menu
; if not present this is set to FALSE
xblaexitdash = true

; when set to true, using miniblades system setting options will not exit to NXE
; if not present this is set to FALSE
nosysexit = false

; when set to true, miniblades will not appear... ever (requested as child saftey measure)
; note that using this option overrides everything in dash launch that relies on miniblade exits to function
; if not present this is set to FALSE
nohud = false

; when set to false, xbox will be capable of finding system updaters
; if not present this is set to TRUE
noupdater = true

; when set to true,  dash launch will put all debug strings out to uart
; if not present this is set to FALSE
debugout = false

; when set to false, dash launch will not attempt to handle last chance unhandled exceptions
; if set to false, exceptions will also not be dumped to the dumpfile
; if not present this is set to TRUE
exchandler = true

; by default this only dumps to UART, setting a file here will cause unhandled exception info to be dumped
; as text to a file. Same path restraints as the quick launch buttons.
; if exchandler is set to false, this option does nothing.
; note that this uses the first drive of the class found, so if you use usb: and have more than one usb device
; it may wind up on any of the usb devices depending on which was enumerated first. The path for the file is only
; checked on boot, so the device must be present at power on and at crash time for this to be effective
; ie: dumpfile = Usb:\crashlog.txt
dumpfile = 

; this value sets the number of times that buttons are checked for on bootup, as well as how long it checks for buttons
; and thus extends the length of time the boot animation will be displayed onscreen
; 0x5A is approximately 6s window for button detection, 0x2A approximately 2s - if set too short auto profile login breaks
; if set too long other wonky things happen
; note this value is interpreted as hexidecimal, valid range is 0 to 0xFFFFFFFF
; if not set this value will be put to 0x2A (42)
bootdelay = 0x2A

; if set to true, this will block the console from resolving LIVE related dns
; if not set this value will be TRUE
liveblock = true

; if liveblock is set to true, this will block the console from resolving all MS related dns
; setting this to TRUE will also block apps like freestyle from accessing things like cover images
; *** note that if NO INI is present for launch.xex, this is set to TRUE
; if not set this value will be FALSE
livestrong = false

; when set to TRUE the X (guide) and power button on IR remotes will cause the xbox to boot to NXE instead of default item
; note that powering on with the windows/start button automatically goes to NXE's media center now regardless of how this is set
; if not set this value will be FALSE
remotenxe = true

; all comments and fields in this file are optional, you can remove anything you don't need - section headers []
; are required for any used options under the section

; sorry for any double negatives :p

; njoy, cOz
